Alembic: Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ApwImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ApwImpl Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ApwImpl:

## Public Member Functions
bool | sameAsPreviousSample (const AbcA::ArraySample &iSamp, const AbcA::ArraySample::Key &iKey) const
void | copyPreviousSample (hid_t iGroup, const std::string &iSampleName, index_t iSampleIndex)
void | writeSample (hid_t iGroup, const std::string &iSampleName, index_t iSampleIndex, const AbcA::ArraySample &iSamp, const AbcA::ArraySample::Key &iKey)
Public Member Functions inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< AbcA::ArrayPropertyWriter, ApwImpl, const AbcA::ArraySample &, AbcA::ArraySample::Key >
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectWriterPtr | getObject ()
virtual AbcA::CompoundPropertyWriterPtr | getParent ()
virtual void | setSample (const AbcA::ArraySample &iSamp)
virtual void | setFromPreviousSample ()
virtual size_t | getNumSamples ()
virtual void | setTimeSamplingIndex (uint32_t iIndex)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter
virtual | ~ArrayPropertyWriter ()
virtual void | setSample (const ArraySample &iSamp)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter
virtual | ~BasePropertyWriter ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ScalarPropertyWriterPtr | asScalarPtr ()
virtual CompoundPropertyWriterPtr | asCompoundPtr ()

## Static Public Member Functions
static AbcA::ArraySample::Key | computeSampleKey (const AbcA::ArraySample &iSamp)

## Protected Member Functions
| ApwImpl (AbcA::CompoundPropertyWriterPtr iParent, hid_t iParentGroup, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, uint32_t iTimeSamplingIndex)
virtual AbcA::ArrayPropertyWriterPtr | asArrayPtr ()
Protected Member Functions inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< AbcA::ArrayPropertyWriter, ApwImpl, const AbcA::ArraySample &, AbcA::ArraySample::Key >
| SimplePwImpl (AbcA::CompoundPropertyWriterPtr iParent, hid_t iParentGroup, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, uint32_t iTimeSamplingIndex, AbcA::PropertyType iPropType)

## Protected Attributes
WrittenArraySampleIDPtr | m_previousWrittenArraySampleID
Protected Attributes inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< AbcA::ArrayPropertyWriter, ApwImpl, const AbcA::ArraySample &, AbcA::ArraySample::Key >
AbcA::CompoundPropertyWriterPtr | m_parent
hid_t | m_parentGroup
PropertyHeaderPtr | m_header
hid_t | m_fileDataType
bool | m_cleanFileDataType
hid_t | m_nativeDataType
bool | m_cleanNativeDataType
hid_t | m_sampleIGroup
uint32_t | m_nextSampleIndex
uint32_t | m_firstChangedIndex
uint32_t | m_lastChangedIndex
uint32_t | m_timeSamplingIndex

## Friends
class | CpwData

## Member Function Documentation

## ◆ asArrayPtr()

AbcA::ArrayPropertyWriterPtr Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ApwImpl::asArrayPtr | ( |  | ) |
| protectedvirtual

Up-cast this base property to an ArrayProperty, if such an upcast is valid. This can be checked with the isArray() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

The documentation for this class was generated from the following files:

- AbcCoreHDF5/ApwImpl.h
- AbcCoreHDF5/ApwImpl.cpp